ksymoops: remove package, it has been obsolete and useless for a long time
[openwrt.org/packages.git] / libs / Makefile
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
 
include $(TOPDIR)/rules.mk
 
PKG_NAME:=pthsem
PKG_VERSION:=2.0.8
PKG_RELEASE:=1
 
PKG_SOURCE:=$(PKG_NAME)_$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://www.auto.tuwien.ac.at/~mkoegler/pth/
PKG_MD5SUM:=9144b26dcc27e67498d63dd5456f934c
 
PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_FIXUP:=autoreconf
PKG_BUILD_PARALLEL:=1
PKG_INSTALL:=1
 
include $(INCLUDE_DIR)/package.mk
 
define Package/pthsem
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE:=GNU pth extended with semaphore support
  URL:=http://www.auto.tuwien.ac.at/~mkoegler/index.php/pth
  DEPENDS:=@USE_EGLIBC @TARGET_x86
endef
 
define Package/pthsem/description
  GNU pth is a user mode multi threading library.
  pthsem is an extend version, with support for semaphores added. It can be installed parallel to a normal pth.
endef
 
MAKE_FLAGS += \
        OPTIM="$(TARGET_CFLAGS)" \
        CFLAGS="$(TARGET_CFLAGS)" \
        DESTDIR="$(PKG_INSTALL_DIR)"
 
define Build/InstallDev
        $(INSTALL_DIR) $(2)/bin
        $(INSTALL_BIN) \
                $(PKG_INSTALL_DIR)/usr/bin/pthsem-config \
                $(2)/bin/
        $(SED) \
                's,^\(prefix\|exec_prefix\)=.*,\1=$(STAGING_DIR)/usr,g' \
                $(2)/bin/pthsem-config
 
        $(INSTALL_DIR) $(1)/usr/include
        $(CP)   $(PKG_INSTALL_DIR)/usr/include/*.h \
                $(1)/usr/include/
        $(INSTALL_DIR) $(1)/usr/lib
        $(CP)   $(PKG_INSTALL_DIR)/usr/lib/libpthsem.{a,la,so*} \
                $(1)/usr/lib/
endef
 
define Package/pthsem/install
        $(INSTALL_DIR) $(1)/usr/lib
        $(CP) $(PKG_INSTALL_DIR)/usr/lib/libpthsem.so.* $(1)/usr/lib/
endef
 
$(eval $(call BuildPackage,pthsem))
 
comments